Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.beans.annotation
Class AnnotationBeanUtils

    java.lang.Object
      org.springframework.beans.annotation.AnnotationBeanUtils

    public abstract class AnnotationBeanUtils

extends Object

General utility methods for working with annotations in JavaBeans style.

Since:
  2.0
Author:
  Rob Harrop, Juergen Hoeller

Constructor Summary
`AnnotationBeanUtils()`

Method Summary
`static void` | `copyPropertiesToBean(Annotation ann, Object bean, String... excludedProperties)` Copy the properties of the supplied `Annotation` to the supplied target bean.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotationBeanUtils

    public AnnotationBeanUtils()

Method Detail

### copyPropertiesToBean

    public static void copyPropertiesToBean(Annotation ann,
                                            Object bean,
                                            String... excludedProperties)

  Copy the properties of the supplied `Annotation` to the supplied target bean. Any properties defined in `excludedProperties` will not be copied.

  See Also:
    `BeanWrapper`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD